Could not access HTTP invoker remote service

Forum for users and developers of Bullhorn's Webservices API suite

Moderators: StaffingSupport, s.emmons, BullhornSupport

Post Reply
websolutions
User
Posts: 5
Joined: Wed May 24, 2017 9:01 am

Could not access HTTP invoker remote service

Post by websolutions » Tue May 28, 2019 9:45 am

hello, I've been receiving the following error as of Friday, May 24th, 2019:

"Could not access HTTP invoker remote service at [http://bhservice33/data-services-2.6/sr/ApiDataService]; nested exception is java.io.EOFException"

The ApiService.startSession method is successfully returning a session key, but a call to ApiService.query results in the error above. I've tried updating the web service reference, but nothing seems to help.

My code has been running daily for the past couple years with out any issues.

Please help.

srookey
User
Posts: 2
Joined: Tue Oct 20, 2015 2:52 pm

Re: Could not access HTTP invoker remote service

Post by srookey » Tue May 28, 2019 2:39 pm

We're having the exact same issue. We've opened a support ticket and have sent lots of sample code and screenshots but have not received any updates. Our issue also began Friday. Have you spoken with support? Any updates?
~ Sandra

websolutions
User
Posts: 5
Joined: Wed May 24, 2017 9:01 am

Re: Could not access HTTP invoker remote service

Post by websolutions » Wed May 29, 2019 2:41 pm

No response from Bullhorn yet, but I can confirm the web service seems to be working now... Maybe the issue resolved itself??

would be nice to hear from Bullhorn about why it was broken for 4+ days.

pmularski
Bullhorn Support Staff
Posts: 927
Joined: Wed Dec 31, 1969 8:00 pm

Re: Could not access HTTP invoker remote service

Post by pmularski » Thu May 30, 2019 8:59 am

Good Morning Websolutions and Srookey,

My apologies for the delay. If you would please, can you provide the SOAP endpoint you are currently using? I believe the issue is that you both need to update your endpoints, because of the recent database moves.

If you are using https://api.bullhornstaffing.com, you would need to update to either api-east or api-west. To be clear, endpoints should be adjusted to what is seen on this page.

http://bullhorn.github.io/Data-Center-URLs/
Patrick Mularski
Senior Enterprise Support Analyst
B U L L H O R N
Staffing and Recruiting Software, On Target, On Demand
Bullhorn Support Contact Numbers
US: 617-478-9126
UK: 44 800 032 2848
Australia: 61 28 073 5089
International: 617-478-9131

Post Reply